
<flexextractor version = "1.0" description = "Config file to upgrade SPEC files">
	
	<input type = "SPEC_XML_MINIDOM" range="11:" autoselect = "8:10" >

		<!-- I want to move away from the hardcoding of autoselect=8:8 for ProjectDocumentation but I cant do that now cause the old specs dont have HeaderStart or HeaderEnd in them.
		So in order to have a config file which works for both old and new formatted spec file, I need to hack it for ProjectDocumentation sheet by creating 2 input sources and 2 output sections see below -->
			
		<!-- Old format with no HeaderStart or HeaderEnd attributes in ProjectDocumentation sheet -->
		<source name = "ProjectDocumentation" alias = "projoldformat" autoselect = "8:8" range = "9:" >
			<data name = "HTML link" select = "HTML link|JIRA link" regexpselect = "true" />
		</source>

		<!-- New format *with* HeaderStart and HeaderEnd attributes. No need to specify range cause it is automatic if autoselect = "true" -->
		<source name = "ProjectDocumentation" alias = "projnewformat" autoselect = "true" >
            <data name = "HTML link" select = "HTML link|JIRA link" regexpselect = "true" />
        </source>

		<source name = "DigitalInput" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
		</source>

		<source name = "AnalogInput" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "FEDeviceParameters.Deadband (%)" select = "(?i)FEDeviceParameters.Deadband \(%\)" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
		</source>

		<source name = "AnalogInputReal" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "FEDeviceParameters.Deadband (%)" select = "(?i)FEDeviceParameters.Deadband \(%\)" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
		</source>

		<source name = "DigitalOutput" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
		</source>

		<source name = "AnalogOutput" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
		</source>

		<source name = "AnalogOutputReal" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
		</source>

		<source name = "DigitalParameter" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
		</source>

		<source name = "WordParameter" >
			<data name = "SCADADeviceGraphics.Pattern" select = "SCADADeviceGraphics.Pattern" default = "" />
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
		</source>

		<source name = "AnalogParameter" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
		</source>

		<source name = "WordStatus" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "SCADADeviceParameters.F Range Min" select = "SCADADeviceParameters.F Range Min" default = "" />
			<data name = "SCADADeviceParameters.F Range Max" select = "SCADADeviceParameters.F Range Max" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
		</source>

		<source name = "AnalogStatus" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceIOConfig.FE Encoding Type" select = "(?i)FEDeviceIOConfig.FE Encoding Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
		</source>

		<source name = "Local" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
            <data name = "SCADADeviceAlarms.Alarm Config.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge" regexpselect = "true" />
			<data name = "FEDeviceParameters.ParReg.Full/Empty Animation" select = "FEDeviceParameters.ParReg.Full/Empty Animation|FEDeviceParameters.Full/Empty Animation" regexpselect = "true" />
			<data name = "FEDeviceParameters.ParReg.Position Alarm" select = "FEDeviceParameters.ParReg.Position Alarm|FEDeviceParameters.Position Alarm" regexpselect = "true" />
		</source>

		<source name = "OnOff" >
			<data name = "FEDeviceParameters.ParReg.Constant Time Pulse" select = "FEDeviceParameters.ParReg.Constant Time Pulse" default = "" />
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" select = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" default = "FALSE" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "FEDeviceParameters.Warning Time Delay (s)" select = "(?i)FEDeviceParameters.Warning Time Delay \(s\)" regexpselect = "true" />
		</source>

		<source name = "Analog" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" select = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" default = "FALSE" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceParameters.Warning Deadband Value (Unit)" select = "(?i)FEDeviceParameters.Warning Deadband Value \(Unit\)" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
		</source>

		<source name = "AnalogDigital" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" select = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" default = "FALSE" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceParameters.Warning Deadband Value (Unit)" select = "(?i)FEDeviceParameters.Warning Deadband Value \(Unit\)" regexpselect = "true" />
			<data name = "FEDeviceParameters.PWM Parameters.Max Deviation" select = "(?i)FEDeviceParameters.PWM Parameters.Max Deviation" regexpselect = "true" />
			<data name = "FEDeviceParameters.PWM Parameters.Minimum Duration (s)" select = "(?i)FEDeviceParameters.PWM Parameters.Minimum Duration \(s\)" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Type" select = "(?i)SCADADeviceDataArchiving.Deadband Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Deadband Value" select = "(?i)SCADADeviceDataArchiving.Deadband Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Type" select = "(?i)SCADADriverDataSmoothing.Deadband Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Deadband Value" select = "(?i)SCADADriverDataSmoothing.Deadband Value" regexpselect = "true" />
		</source>

		<source name = "AnaDO" >
		</source>

		<source name = "Controller" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceParameters.Controller Parameters.MV Filter Time (s)" select = "FEDeviceParameters.Controller Parameters.MV Filter Time \(s\)|FEDeviceParameters.Controller Parameters.MV Filter Time \(ms\)" regexpselect = "true" />
			<data name = "FEDeviceParameters.Controller Parameters.PID Cycle (s)" select = "FEDeviceParameters.Controller Parameters.PID Cycle \(s\)|FEDeviceParameters.Controller Parameters.PID Cycle \(ms\)" regexpselect = "true" />
			<data name = "FEDeviceAutoRequests.Default Setpoint Speed.Increase Speed" select = "FEDeviceAutoRequests.Default Setpoint Speed.Increase Speed|FEDeviceAutoRequests.Default Set-Point Speed.increase speed" regexpselect = "true" />
			<data name = "FEDeviceAutoRequests.Default Setpoint Speed.Decrease Speed" select = "FEDeviceAutoRequests.Default Setpoint Speed.Decrease Speed|FEDeviceAutoRequests.Default Set-Point Speed.decrease speed" regexpselect = "true" />
			<data name = "FEDeviceVariables.Default PID Parameters.Setpoint" select = "FEDeviceVariables.Default PID Parameters.Setpoint|FEDeviceVariables.Default PID Parameters.Set-Point" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.MV and SP Archiving.Deadband Type" select = "SCADADeviceDataArchiving.MV and SP Archiving.Deadband Type|SCADADeviceDataArchiving.MV and SP Archiving.DeadBand Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.MV and SP Archiving.Deadband Value" select = "SCADADeviceDataArchiving.MV and SP Archiving.Deadband Value|SCADADeviceDataArchiving.MV and SP Archiving.DeadBand Value" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Output Archiving.Deadband Type" select = "SCADADeviceDataArchiving.Output Archiving.Deadband Type|SCADADeviceDataArchiving.Output Archiving.DeadBand Type" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Output Archiving.Deadband Value" select = "SCADADeviceDataArchiving.Output Archiving.Deadband Value|SCADADeviceDataArchiving.Output Archiving.DeadBand Value" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Archive|SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Archive|SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Archive|SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.MV and SP Smoothing.Deadband Type" select = "SCADADriverDataSmoothing.MV and SP Smoothing.Deadband Type|SCADADriverDataSmoothing.MV and SP Smoothing.DeadBand Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.MV and SP Smoothing.Deadband Value" select = "SCADADriverDataSmoothing.MV and SP Smoothing.Deadband Value|SCADADriverDataSmoothing.MV and SP Smoothing.DeadBand Value" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Output Smoothing.Deadband Type" select = "SCADADriverDataSmoothing.Output Smoothing.Deadband Type|SCADADriverDataSmoothing.Output Smoothing.DeadBand Type" regexpselect = "true" />
			<data name = "SCADADriverDataSmoothing.Output Smoothing.Deadband Value" select = "SCADADriverDataSmoothing.Output Smoothing.Deadband Value|SCADADriverDataSmoothing.Output Smoothing.DeadBand Value" regexpselect = "true" />
			<!-- Added for UCPC-488 and UCPC-489 changes -->
			<data name = "FEDeviceParameters.Controller Parameters.Output Range Min" select = "FEDeviceParameters.Controller Parameters.Output Range Min" default = "" />
			<data name = "FEDeviceParameters.Controller Parameters.Output Range Max" select = "FEDeviceParameters.Controller Parameters.Output Range Max" default = "" />
			<data name = "FEDeviceOutputs.Controlled Objects" select = "FEDeviceOutputs.Controlled Objects" default = "{FEDeviceOutputs.Controlled Objects.Controlled Object 1},{FEDeviceOutputs.Controlled Objects.Controlled Object 2},{FEDeviceOutputs.Controlled Objects.Controlled Object 3},{FEDeviceOutputs.Controlled Objects.Controlled Object 4}" multiplereplace = "true" replace = "\,\,\,$:,%- 
			                                                                                                                                                                                                                                                                                                                                                                                  -%\,\,$:,%-
			                                                                                                                                                                                                                                                                                                                                                                                  -%\,$:,%-
			                                                                                                                                                                                                                                                                                                                                                                                  -%\,\,\,:\,,%-
			                                                                                                                                                                                                                                                                                                                                                                                  -%\,\,:\,,%-
			                                                                                                                                                                                                                                                                                                                                                                                  -%^\,:" />
		</source>

		<source name = "ProcessControlObject" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" select = "FEDeviceParameters.ParReg.Manual Restart after Full Stop" default = "FALSE" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
		</source>

		<source name = "DigitalAlarm" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "FEDeviceAlarm.Multiple Types" select = "FEDeviceAlarm.Multiple Types" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceParameters.Alarm Delay (s)" select = "(?i)FEDeviceParameters.Alarm Delay \(s\)" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
            <data name = "FEDeviceAlarm.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge|FEDeviceAlarm.Auto Acknowledge" regexpselect = "true" />
			<data name = "SCADADeviceAlarms.Alarm Config.Level" select = "SCADADeviceAlarms.Alarm Config.Level" default = "Alarm" />
		</source>

		<source name = "AnalogAlarm" >
			<data name = "DeviceIdentification.Expert Name" select = "DeviceIdentification.Expert Name" default = "" />
			<data name = "FEDeviceAlarm.Multiple Types" select = "FEDeviceAlarm.Multiple Types" default = "" />
			<!-- Added these fields for old(er) specs which had fields change names along the way -->
			<data name = "FEDeviceParameters.Alarm Delay (s)" select = "(?i)FEDeviceParameters.Alarm Delay \(s\)" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Boolean Archive" select = "SCADADeviceDataArchiving.Boolean Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Analog Archive" select = "SCADADeviceDataArchiving.Analog Arch" regexpselect = "true" />
			<data name = "SCADADeviceDataArchiving.Event Archive" select = "SCADADeviceDataArchiving.Event Arch" regexpselect = "true" />
            <data name = "FEDeviceAlarm.Auto Acknowledge" select = "SCADADeviceAlarms.Alarm Config.*Acknowledge|FEDeviceAlarm.Auto Acknowledge" regexpselect = "true" />
			<data name = "SCADADeviceAlarms.Alarm Config.Level" select = "SCADADeviceAlarms.Alarm Config.Level" default = "Alarm" />
		</source>

		<source name = "MassFlowController" >
			<data name = "FEDeviceParameters.ParReg.Fail-Safe" select = "FEDeviceParameters.ParReg.Fail-Safe|FEDeviceParameters.ParReg.Fail Safe Open" regexpselect = "true" />
			<data name = "FEDeviceParameters.Warning Time Delay (s)" select = "FEDeviceParameters.Warning Time Delay \(s\)|FEDeviceParameters.Position Warning Delay \(s\)" regexpselect = "true" />
			<data name = "FEDeviceParameters.Deadband (%)" select = "FEDeviceParameters.Deadband \(%\)|FEDeviceParameters.Deadband" regexpselect = "true" />
			<data name = "FEDeviceParameters.ParReg.Convert ratio to Unit/time" select = "(?i)FEDeviceParameters.ParReg.Convert ratio to Unit/time" regexpselect = "true" />
		</source>


	</input>	


		
	<output type = "SPEC_XML_MINIDOM" parameter = "***" >

<!-- Hack to only print out only 1 section for ProjectDocumentation
     If {Date} is equal to the literal string {Date}, then the autoselect failed, obviously, and I do not want to output any data for that sourcealias. 
     StyleID contains only letters and digitals so this part should cover all use-cases [a-zA-Z0-9]* and then triple ampersand. -->
<section condition = "%sourcename% == 'ProjectDocumentation' and %sourcealias% == 'projoldformat' and {Date} != '\{Date\}' " head ="SHEET:ProjectDocumentation" 
			generate = "{Date}***{User}***{Comments}***{Version}***{HTML link}" replace="[a-zA-Z0-9\|]*&amp;&amp;&amp;:" /> <!-- UAB-361 for old project documentation sheet, do not copy any styles for the 'Spec Changes' section. So the replace argument is to remove style information -->

<section condition = "%sourcename% == 'ProjectDocumentation' and %sourcealias% == 'projnewformat' and {Date} != '\{Date\}' " head ="SHEET:ProjectDocumentation" 
			generate = "{Date}***{User}***{Comments}***{Version}***{HTML link}" xreplace="[a-zA-Z0-9\|]*&amp;&amp;&amp;:" /> <!-- UCPC-1342 updated for new plugin which copies styles and comments -->

<section condition = "%sourcename% == 'DigitalInput'" head ="SHEET:DigitalInput" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Binary State.Alarm On State}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'AnalogInput'" head ="SHEET:AnalogInput" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Raw Min}***%-
-%{FEDeviceParameters.Raw Max}***%-
-%{FEDeviceParameters.Deadband (%)}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{SCADADeviceAlarms.Analog Thresholds.HH Alarm}***%-
-%{SCADADeviceAlarms.Analog Thresholds.H Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.L Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.LL Alarm}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'AnalogInputReal'" head ="SHEET:AnalogInputReal" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Raw Min}***%-
-%{FEDeviceParameters.Raw Max}***%-
-%{FEDeviceParameters.Deadband (%)}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{SCADADeviceAlarms.Analog Thresholds.HH Alarm}***%-
-%{SCADADeviceAlarms.Analog Thresholds.H Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.L Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.LL Alarm}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'DigitalOutput'" head ="SHEET:DigitalOutput" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Binary State.Alarm On State}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'AnalogOutput'" head ="SHEET:AnalogOutput" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Raw Min}***%-
-%{FEDeviceParameters.Raw Max}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{SCADADeviceAlarms.Analog Thresholds.HH Alarm}***%-
-%{SCADADeviceAlarms.Analog Thresholds.H Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.L Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.LL Alarm}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'AnalogOutputReal'" head ="SHEET:AnalogOutputReal" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Raw Min}***%-
-%{FEDeviceParameters.Raw Max}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{SCADADeviceAlarms.Analog Thresholds.HH Alarm}***%-
-%{SCADADeviceAlarms.Analog Thresholds.H Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.L Warning}***%-
-%{SCADADeviceAlarms.Analog Thresholds.LL Alarm}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'DigitalParameter'" head ="SHEET:DigitalParameter" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Default Value}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}" />


<section condition = "%sourcename% == 'WordParameter'" head ="SHEET:WordParameter" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Default Value}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Pattern}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}" />


<section condition = "%sourcename% == 'AnalogParameter'" head ="SHEET:AnalogParameter" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Default Value}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}" />


<section condition = "%sourcename% == 'WordStatus'" head ="SHEET:WordStatus" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Pattern}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{SCADADeviceParameters.F Range Min}***%-
-%{SCADADeviceParameters.F Range Max}" />


<section condition = "%sourcename% == 'AnalogStatus'" head ="SHEET:AnalogStatus" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}" />


<section condition = "%sourcename% == 'Local'" head ="SHEET:Local" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Full/Empty Animation}***%-
-%{FEDeviceParameters.ParReg.Position Alarm}***%-
-%{FEDeviceEnvironmentInputs.Feedback On}***%-
-%{FEDeviceEnvironmentInputs.Feedback Off}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Auto Acknowledge}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'OnOff'" head ="SHEET:OnOff" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Fail-Safe}***%-
-%{FEDeviceParameters.ParReg.Full/Empty Animation}***%-
-%{FEDeviceParameters.ParReg.Manual Restart after Full Stop}***%-
-%{FEDeviceParameters.ParReg.Constant Time Pulse}***%-
-%{FEDeviceParameters.Warning Time Delay (s)}***%-
-%{FEDeviceParameters.Pulse Duration (s)}***%-
-%{FEDeviceEnvironmentInputs.Feedback On}***%-
-%{FEDeviceEnvironmentInputs.Feedback Off}***%-
-%{FEDeviceEnvironmentInputs.Local Drive}***%-
-%{FEDeviceEnvironmentInputs.Local On}***%-
-%{FEDeviceEnvironmentInputs.Local Off}***%-
-%{FEDeviceOutputs.Process Output}***%-
-%{FEDeviceOutputs.Process Output Off}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Label On}***%-
-%{SCADADeviceGraphics.Label Off}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />


<section condition = "%sourcename% == 'Analog'" head ="SHEET:Analog" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Fail-Safe}***%-
-%{FEDeviceParameters.ParReg.Manual Restart after Full Stop}***%-
-%{FEDeviceParameters.Warning Time Delay (s)}***%-
-%{FEDeviceParameters.Warning Deadband Value (Unit)}***%-
-%{FEDeviceParameters.Manual Increase Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Decrease Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Increase Step (Unit)}***%-
-%{FEDeviceParameters.Manual Decrease Step (Unit)}***%-
-%{FEDeviceManualRequests.Parameter Limit On/Open}***%-
-%{FEDeviceManualRequests.Parameter Limit Off/Closed}***%-
-%{FEDeviceEnvironmentInputs.Feedback Analog}***%-
-%{FEDeviceEnvironmentInputs.Feedback On}***%-
-%{FEDeviceEnvironmentInputs.Feedback Off}***%-
-%{FEDeviceEnvironmentInputs.Hardware Analog Output}***%-
-%{FEDeviceEnvironmentInputs.Local Drive}***%-
-%{FEDeviceOutputs.Process Output}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />


<section condition = "%sourcename% == 'AnalogDigital'" head ="SHEET:AnalogDigital" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Fail-Safe}***%-
-%{FEDeviceParameters.ParReg.PWM Mode}***%-
-%{FEDeviceParameters.ParReg.Outputs Maintained}***%-
-%{FEDeviceParameters.ParReg.Manual Restart after Full Stop}***%-
-%{FEDeviceParameters.Range Min}***%-
-%{FEDeviceParameters.Range Max}***%-
-%{FEDeviceParameters.Warning Time Delay (s)}***%-
-%{FEDeviceParameters.Warning Deadband Value (Unit)}***%-
-%{FEDeviceParameters.Manual Increase Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Decrease Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Increase Step (Unit)}***%-
-%{FEDeviceParameters.Manual Decrease Step (Unit)}***%-
-%{FEDeviceParameters.PWM Parameters.Time Period (s)}***%-
-%{FEDeviceParameters.PWM Parameters.Max Deviation}***%-
-%{FEDeviceParameters.PWM Parameters.Minimum Duration (s)}***%-
-%{FEDeviceManualRequests.Parameter Limit On/Open}***%-
-%{FEDeviceManualRequests.Parameter Limit Off/Closed}***%-
-%{FEDeviceEnvironmentInputs.Feedback Analog}***%-
-%{FEDeviceEnvironmentInputs.Feedback On}***%-
-%{FEDeviceEnvironmentInputs.Feedback Off}***%-
-%{FEDeviceEnvironmentInputs.Hardware Analog Output}***%-
-%{FEDeviceEnvironmentInputs.Local Drive}***%-
-%{FEDeviceOutputs.Output On}***%-
-%{FEDeviceOutputs.Output Off}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />

<section condition = "%sourcename% == 'AnaDO'" head ="SHEET:AnaDO" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Fail-Safe}***%-
-%{FEDeviceParameters.ParReg.Manual Restart after Full Stop}***%-
-%{FEDeviceParameters.Warning Time Delay (s)}***%-
-%{FEDeviceParameters.Warning Deadband Value (Unit)}***%-
-%{FEDeviceParameters.Manual Increase Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Decrease Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Increase Step (Unit)}***%-
-%{FEDeviceParameters.Manual Decrease Step (Unit)}***%-
-%{FEDeviceManualRequests.Parameter Limit On/Open}***%-
-%{FEDeviceManualRequests.Parameter Limit Off/Closed}***%-
-%{FEDeviceEnvironmentInputs.Feedback Analog}***%-
-%{FEDeviceEnvironmentInputs.Feedback On}***%-
-%{FEDeviceEnvironmentInputs.Local Drive}***%-
-%{FEDeviceEnvironmentInputs.Hardware Analog Output}***%-
-%{FEDeviceEnvironmentInputs.Local On}***%-
-%{FEDeviceEnvironmentInputs.Local Off}***%-
-%{FEDeviceOutputs.Analog Process Output}***%-
-%{FEDeviceOutputs.Digital Process Output}***%-
-%{SCADADeviceGraphics.Unit}***%-
-%{SCADADeviceGraphics.Format}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Deadband Value}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />


<section condition = "%sourcename% == 'Controller'" head ="SHEET:Controller" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Controller Parameters.Output Range Min}***%-
-%{FEDeviceParameters.Controller Parameters.Output Range Max}***%-
-%{FEDeviceParameters.Controller Parameters.MV Filter Time (s)}***%-
-%{FEDeviceParameters.Controller Parameters.PID Cycle (s)}***%-
-%{FEDeviceParameters.Controller Parameters.Scaling Method}***%-
-%{FEDeviceParameters.Controller Parameters.RA}***%-
-%{FEDeviceAutoRequests.Default Setpoint Speed.Increase Speed}***%-
-%{FEDeviceAutoRequests.Default Setpoint Speed.Decrease Speed}***%-
-%{FEDeviceEnvironmentInputs.Measured Value}***%-
-%{FEDeviceOutputs.Controlled Objects}***%-
-%{FEDeviceVariables.Default PID Parameters.Setpoint}***%-
-%{FEDeviceVariables.Default PID Parameters.Kc}***%-
-%{FEDeviceVariables.Default PID Parameters.Ti}***%-
-%{FEDeviceVariables.Default PID Parameters.Td}***%-
-%{FEDeviceVariables.Default PID Parameters.Tds}***%-
-%{FEDeviceVariables.Default PID Parameters.SP High Limit}***%-
-%{FEDeviceVariables.Default PID Parameters.SP Low Limit}***%-
-%{FEDeviceVariables.Default PID Parameters.Out High Limit}***%-
-%{FEDeviceVariables.Default PID Parameters.Out Low Limit}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADeviceDataArchiving.MV and SP Archiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.MV and SP Archiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.MV and SP Archiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.MV and SP Archiving.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Output Archiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Output Archiving.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Output Archiving.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Output Archiving.Deadband Value}***%-
-%{SCADADriverDataSmoothing.MV and SP Smoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.MV and SP Smoothing.Deadband Value}***%-
-%{SCADADriverDataSmoothing.Output Smoothing.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Output Smoothing.Deadband Value}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />


<section condition = "%sourcename% == 'ProcessControlObject'" head ="SHEET:ProcessControlObject" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Manual Restart after Full Stop}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 1 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 2 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 3 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 4 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 5 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 6 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 7 Allowance}***%-
-%{FEDeviceParameters.Option Mode Allowance Table.Option Mode 8 Allowance}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Display Name}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 1 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 2 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 3 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 4 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 5 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 6 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 7 Label}***%-
-%{SCADADeviceFunctionals.Mode Label.Option Mode 8 Label}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.IL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.CL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.BL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.INST User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.GL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.TL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.SL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.CDOL User Template}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />


<section condition = "%sourcename% == 'DigitalAlarm'" head ="SHEET:DigitalAlarm" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Alarm Delay (s)}***%-
-%{FEDeviceAlarm.Type}***%-
-%{FEDeviceAlarm.Multiple Types}***%-
-%{FEDeviceAlarm.Auto Acknowledge}***%-
-%{FEDeviceEnvironmentInputs.Input}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Alarm Config.Level}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'AnalogAlarm'" head ="SHEET:AnalogAlarm" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.Alarm Delay (s)}***%-
-%{FEDeviceManualRequests.HH Alarm}***%-
-%{FEDeviceManualRequests.H Warning}***%-
-%{FEDeviceManualRequests.L Warning}***%-
-%{FEDeviceManualRequests.LL Alarm}***%-
-%{FEDeviceAlarm.Type}***%-
-%{FEDeviceAlarm.Multiple Types}***%-
-%{FEDeviceAlarm.Auto Acknowledge}***%-
-%{FEDeviceEnvironmentInputs.Input}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADeviceDataArchiving.Interlock Archiving.Archive Mode}***%-
-%{SCADADeviceAlarms.Alarm Config.SMS Category}***%-
-%{SCADADeviceAlarms.Alarm Config.Masked}***%-
-%{SCADADeviceAlarms.Alarm Config.Level}***%-
-%{SCADADeviceAlarms.Message}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}" />


<section condition = "%sourcename% == 'MassFlowController'" head ="SHEET:MassFlowController" generate = "%-
-%{DeviceIdentification.Name}***%-
-%{DeviceIdentification.Expert Name}***%-
-%{DeviceDocumentation.Description}***%-
-%{DeviceDocumentation.Electrical Diagram}***%-
-%{DeviceDocumentation.Remarks}***%-
-%{FEDeviceParameters.ParReg.Fail-Safe}***%-
-%{FEDeviceParameters.ParReg.Feedback Off}***%-
-%{FEDeviceParameters.ParReg.Inhibit Totalizer cmd}***%-
-%{FEDeviceParameters.ParReg.Convert ratio to Unit/time}***%-
-%{FEDeviceParameters.ParReg.Noise Filter}***%-
-%{FEDeviceParameters.ParReg.Manual Restart after Full Stop}***%-
-%{FEDeviceParameters.Warning Time Delay (s)}***%-
-%{FEDeviceParameters.Manual Increase Speed (Unit/s)}***%-
-%{FEDeviceParameters.Manual Decrease Speed (Unit/s)}***%-
-%{FEDeviceParameters.Flow Conversion}***%-
-%{FEDeviceParameters.Volume Conversion}***%-
-%{FEDeviceParameters.CC0 Max Flow (Unit/time)}***%-
-%{FEDeviceParameters.CC1 Max Flow (Unit/time)}***%-
-%{FEDeviceParameters.CC2 Max Flow (Unit/time)}***%-
-%{FEDeviceParameters.Deadband (%)}***%-
-%{FEDeviceOutputs.Valve Order}***%-
-%{FEDeviceIOConfig.FE Encoding Type}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam1}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam2}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam3}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam4}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam5}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam6}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam7}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam8}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam9}***%-
-%{FEDeviceIOConfig.FEChannel.InterfaceParam10}***%-
-%{SCADADeviceGraphics.Widget Type}***%-
-%{SCADADeviceGraphics.Synoptic}***%-
-%{SCADADeviceGraphics.Diagnostic}***%-
-%{SCADADeviceGraphics.WWW Link}***%-
-%{SCADADeviceGraphics.CurveName.CC0}***%-
-%{SCADADeviceGraphics.CurveName.CC1}***%-
-%{SCADADeviceGraphics.CurveName.CC2}***%-
-%{SCADADeviceGraphics.Flow.Unit}***%-
-%{SCADADeviceGraphics.Flow.Format}***%-
-%{SCADADeviceGraphics.Calibration.Unit}***%-
-%{SCADADeviceGraphics.Calibration.Gas Name}***%-
-%{SCADADeviceGraphics.Totalizer.Unit}***%-
-%{SCADADeviceGraphics.Totalizer.Format}***%-
-%{SCADADeviceFunctionals.Mask Event}***%-
-%{SCADADeviceFunctionals.Access Control Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Domain}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Nature}***%-
-%{SCADADeviceFunctionals.SCADADeviceClassificationTags.Device Links}***%-
-%{SCADADeviceDataArchiving.Modes.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Flow.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Flow.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Flow.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Flow.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Totalizer.Archive Mode}***%-
-%{SCADADeviceDataArchiving.Totalizer.Time Filter (s)}***%-
-%{SCADADeviceDataArchiving.Totalizer.Deadband Type}***%-
-%{SCADADeviceDataArchiving.Totalizer.Deadband Value}***%-
-%{SCADADeviceDataArchiving.Boolean Archive}***%-
-%{SCADADeviceDataArchiving.Analog Archive}***%-
-%{SCADADeviceDataArchiving.Event Archive}***%-
-%{SCADADriverDataSmoothing.Flow.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Flow.Deadband Value}***%-
-%{SCADADriverDataSmoothing.Totalizer.Deadband Type}***%-
-%{SCADADriverDataSmoothing.Totalizer.Deadband Value}***%-
-%{LogicDeviceDefinitions.Master}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter1}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter2}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter3}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter4}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter5}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter6}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter7}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter8}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter9}***%-
-%{LogicDeviceDefinitions.CustomLogicParameters.Parameter10}***%-
-%{LogicDeviceDefinitions.CustomLogicSections.DL User Template}" />


	</output>



</flexextractor>

